## PEASS-DB  

The *PEASS-DB* is part of the *SEBASS-DB*, a collection of subjective ratings on the perceived quality of separated audio soure signals. It contains the results on listening tests on assessing the *Basic Audio Quality* of such signals.
 
### Collection of the subjective ratings.

The subjective ratings were collected using [MUSHRA](https://en.wikipedia.org/wiki/MUSHRA) [(see ITU-R BS1534.3)](https://www.itu.int/dms_pubrec/itu-r/rec/bs/R-REC-BS.1534-3-201510-I!!PDF-E.pdf) based listening tests.
The [webMUSHRA](https://www.audiolabs-erlangen.de/resources/webMUSHRA) software was used for some of the listening tests. It provides a graphical user interface for the participants of the listening test.

The test procedure can be explained as follows:
#### Method of presentation
In each trial of a listening test, the participants blindly rated the following test signals in comparison to the known (ideal) reference source signal:
- separated versions of the source signal from different separation algorithms
- the original source signal (hidden reference)
- the signal mixture (as anchor signal)

The subjects had the possibility to switch instantaneously between each of the presented signals and to set playback loops. The items were presented via headphones in a quite listening room.

Experienced listeners took part in the listening test.

#### Method of quantification
The listener had to grade the unknown signals on the MUSHRA scale (0..100). The numerical scale is equally divided into five segments and semantical annotated ("bad", "poor", "fair", "good", "excellent"). The question asked to the listener was: "Grade the [Basic Audio Quality](https://www.itu.int/dms_pubrec/itu-r/rec/bs/R-REC-BS.1534-3-201510-I!!PDF-E.pdf) of the items under test with respect to the reference signal. Any perceived differences between the reference and the other signal must be interpreted as an impairment."


### License
Due to the different origin of the audio signals and the subjective ratings, different licenses apply to these data.

- The subjective grades are licensed under a [Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](https://creativecommons.org/licenses/by-nc-sa/4.0/).
- For license and referencing of the audio signals see the file "License_PEASS_AudioSignals.txt".
- When using this dataset of subjective ratings, the following paper must be referenced: "An Efficient Model for Estimating Subjective Quality of Separated Audio Source Signals" by (link:fau/assistant/kastner/ text: Thorsten Kastner) and (link:fau/professor/herre/ text:Jürgen Herre), 2019 IEEE Workshop on Applications of Signal Processing to Audio and Acoustics (WASPAA 2019), New Paltz, New York. 


All audio signals had been transformed to 2 channel stereo, 16 Bit, 48kHz Sampling rate and PCM in WAVE format. The audio format of the [original audio signals](http://bass-db.gforge.inria.fr/peass/PEASS-SubjData.html) may differ.

### Audio files and listener ratings Structuring

The listener ratings are provided as csv-files with the fields:  
*Testname*, *Listener name*, *Test Trial*, *Test Condition*,  *Rating score*. 

Example:  

Testname | Listener | Trial | Condition | Rating score
--- | --- | --- | --- | ---
PEASS-DB | Listener\_18 | exp01\_target | hidden_ref | 100

The structure of the folder containing the audio files is organized as follows:  
*Signals/Test Condition/{test Trial}.wav*  

Example:  
./Signals/hidden_ref/exp01\_target.wav  
./Signals/hidden_ref/exp02\_target.wav  
./Signals/hidden_ref/exp03\_target.wav  
...

Note the different structuring of the signals than in the [PEASS Subjective Database](http://bass-db.gforge.inria.fr/peass/PEASS-SubjData.html) from which the audio signals have been taken. 

**The listening test results have been used in the following study**

```
@conference{ksrWaspaa19,
Address = {New Paltz, New York, USA},
Author = {Thorsten Kastner and Jürgen Herre},
Booktitle = {{IEEE Workshop on Applications of Signal Processing to Audio and Acoustics (WASPAA'19)}},
Month = {October},
Title = {An Efficient Model for Estimating Subjective Quality of Separated Audio Source Signals},
Year = {2019}}
```

Version 1.0 Oct. 2019
